%define beta	rc1_2
%define fbeta	rc1-2

Summary: Advanced Linux Sound Architecture (ALSA) graphical mixer
Name:    alsamixergui
Version: 0.9.0
Release: 0.9%{beta}mdk
Source0: ftp://www.iua.upf.es/pub/mdeboer/projects/alsamixergui/%name-%version%fbeta.tar.bz2
Patch0:	alsamixergui-0.9.0rc1-fixes.patch.bz2
Patch1: alsamixer-0.9.0rc1-2-fltk.patch.bz2
Patch2: alsamixer-0.9.0rc1-2-fltk2.patch.bz2
Patch3: alsamixergui-0.9.0rc1-memleak.patch.bz2
License: GPL
BuildRoot: %_tmppath/%name-buildroot
Group: Sound
Url:   http://www.iua.upf.es/~mdeboer/projects/alsamixergui/

BuildRequires: XFree86-devel
BuildRequires: kernel-headers >= 2.4.0
BuildRequires: libalsa-devel >= %version
BuildRequires: libslang-devel
BuildRequires: fltk-devel >= 1.1
Requires: kernel >= 2.4.18

%description
Alsamixergui is a FLTK based frontend for alsamixer. It is written
directly on top of the alsamixer source, leaving the original source
intact, only adding a couple of ifdefs, and some calls to the gui
part, so it provides exactly the same functionality, but with a 
graphical userinterface.



%prep
%setup -q -n %name-%version%fbeta
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1

%build
autoconf
%configure
make all

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# MDK menu entry
mkdir -p $RPM_BUILD_ROOT/%_menudir
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name): command="%name" icon="sound_section.png" section="Multimedia/Sound" title="AlsaMixerGUI" longtitle="ALSA connection mixer" needs="x11"
EOF

%post
%update_menus

%postun
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%_bindir/%name
%_menudir/%name

%changelog
* Sat Sep 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.9rc1_2mdk
- patch 3: fix mem leak

* Thu Sep 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.8rc1_2mdk
- fix {build,}requires for 64bit ports

* Tue May 27 2003 David BAUDENS <baudens@mandrakesoft.com> 0.9.0-0.7rc1_2mdk
- Fix icon in menu

* Mon Dec 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.6rc1_2mdk
- rebuild for new libfltk
- fix previous change: alsamixergui is still at rc1-2, not rc1-3 !

* Sun Oct 27 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.0-0.5rc1_3mdk
- BuildRequires: XFree86-devel

* Sat Aug 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.5rc1_2mdk
- rebuild for new g++ ABI

* Thu Aug 01 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.4rc1_2mdk
- rebuild for new g++-3.2

* Wed May 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.3rc1_2mdk
- fix Url
- add download url
- gcc-3.1 build
- fix stupid fltk detection [Patch1]
- fix compilation with gcc-3.1 and new fltk [Patch2]

* Tue May 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.2rc1_2mdk
- new release (aka merging of mandrake patches)

* Fri Apr 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.1rc1mdk
- initial package
